Imported Upstream version 2.3.1
[platform/upstream/harfbuzz.git] / test / subset / data / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/basics.tests tests/full-font.tests tests/japanese.tests \
93         $(am__EXEEXT_1)
94 XFAIL_TESTS = $(am__EXEEXT_1)
95 subdir = test/subset/data
96 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
98         $(top_srcdir)/m4/ax_code_coverage.m4 \
99         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
100         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
101         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
102         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
103 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
104         $(ACLOCAL_M4)
105 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
106 mkinstalldirs = $(install_sh) -d
107 CONFIG_HEADER = $(top_builddir)/config.h
108 CONFIG_CLEAN_FILES =
109 CONFIG_CLEAN_VPATH_FILES =
110 AM_V_P = $(am__v_P_@AM_V@)
111 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
112 am__v_P_0 = false
113 am__v_P_1 = :
114 AM_V_GEN = $(am__v_GEN_@AM_V@)
115 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
116 am__v_GEN_0 = @echo "  GEN     " $@;
117 am__v_GEN_1 = 
118 AM_V_at = $(am__v_at_@AM_V@)
119 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
120 am__v_at_0 = @
121 am__v_at_1 = 
122 SOURCES =
123 DIST_SOURCES =
124 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
125         ctags-recursive dvi-recursive html-recursive info-recursive \
126         install-data-recursive install-dvi-recursive \
127         install-exec-recursive install-html-recursive \
128         install-info-recursive install-pdf-recursive \
129         install-ps-recursive install-recursive installcheck-recursive \
130         installdirs-recursive pdf-recursive ps-recursive \
131         tags-recursive uninstall-recursive
132 am__can_run_installinfo = \
133   case $$AM_UPDATE_INFO_DIR in \
134     n|no|NO) false;; \
135     *) (install-info --version) >/dev/null 2>&1;; \
136   esac
137 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
138   distclean-recursive maintainer-clean-recursive
139 am__recursive_targets = \
140   $(RECURSIVE_TARGETS) \
141   $(RECURSIVE_CLEAN_TARGETS) \
142   $(am__extra_recursive_targets)
143 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
144         check recheck distdir
145 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
146 # Read a list of newline-separated strings from the standard input,
147 # and print each of them once, without duplicates.  Input order is
148 # *not* preserved.
149 am__uniquify_input = $(AWK) '\
150   BEGIN { nonempty = 0; } \
151   { items[$$0] = 1; nonempty = 1; } \
152   END { if (nonempty) { for (i in items) print i; }; } \
153 '
154 # Make sure the list of sources is unique.  This is necessary because,
155 # e.g., the same source file might be shared among _SOURCES variables
156 # for different programs/libraries.
157 am__define_uniq_tagged_files = \
158   list='$(am__tagged_files)'; \
159   unique=`for i in $$list; do \
160     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
161   done | $(am__uniquify_input)`
162 ETAGS = etags
163 CTAGS = ctags
164 am__tty_colors_dummy = \
165   mgn= red= grn= lgn= blu= brg= std=; \
166   am__color_tests=no
167 am__tty_colors = { \
168   $(am__tty_colors_dummy); \
169   if test "X$(AM_COLOR_TESTS)" = Xno; then \
170     am__color_tests=no; \
171   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
172     am__color_tests=yes; \
173   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
174     am__color_tests=yes; \
175   fi; \
176   if test $$am__color_tests = yes; then \
177     red='\e[0;31m'; \
178     grn='\e[0;32m'; \
179     lgn='\e[1;32m'; \
180     blu='\e[1;34m'; \
181     mgn='\e[0;35m'; \
182     brg='\e[1m'; \
183     std='\e[m'; \
184   fi; \
185 }
186 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
187 am__vpath_adj = case $$p in \
188     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
189     *) f=$$p;; \
190   esac;
191 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
192 am__install_max = 40
193 am__nobase_strip_setup = \
194   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
195 am__nobase_strip = \
196   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
197 am__nobase_list = $(am__nobase_strip_setup); \
198   for p in $$list; do echo "$$p $$p"; done | \
199   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
200   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
201     if (++n[$$2] == $(am__install_max)) \
202       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
203     END { for (dir in files) print dir, files[dir] }'
204 am__base_list = \
205   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
206   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
207 am__uninstall_files_from_dir = { \
208   test -z "$$files" \
209     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
210     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
211          $(am__cd) "$$dir" && rm -f $$files; }; \
212   }
213 am__recheck_rx = ^[     ]*:recheck:[    ]*
214 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
215 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
216 # A command that, given a newline-separated list of test names on the
217 # standard input, print the name of the tests that are to be re-run
218 # upon "make recheck".
219 am__list_recheck_tests = $(AWK) '{ \
220   recheck = 1; \
221   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
222     { \
223       if (rc < 0) \
224         { \
225           if ((getline line2 < ($$0 ".log")) < 0) \
226             recheck = 0; \
227           break; \
228         } \
229       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
230         { \
231           recheck = 0; \
232           break; \
233         } \
234       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
235         { \
236           break; \
237         } \
238     }; \
239   if (recheck) \
240     print $$0; \
241   close ($$0 ".trs"); \
242   close ($$0 ".log"); \
243 }'
244 # A command that, given a newline-separated list of test names on the
245 # standard input, create the global log from their .trs and .log files.
246 am__create_global_log = $(AWK) ' \
247 function fatal(msg) \
248 { \
249   print "fatal: making $@: " msg | "cat >&2"; \
250   exit 1; \
251 } \
252 function rst_section(header) \
253 { \
254   print header; \
255   len = length(header); \
256   for (i = 1; i <= len; i = i + 1) \
257     printf "="; \
258   printf "\n\n"; \
259 } \
260 { \
261   copy_in_global_log = 1; \
262   global_test_result = "RUN"; \
263   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
264     { \
265       if (rc < 0) \
266          fatal("failed to read from " $$0 ".trs"); \
267       if (line ~ /$(am__global_test_result_rx)/) \
268         { \
269           sub("$(am__global_test_result_rx)", "", line); \
270           sub("[        ]*$$", "", line); \
271           global_test_result = line; \
272         } \
273       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
274         copy_in_global_log = 0; \
275     }; \
276   if (copy_in_global_log) \
277     { \
278       rst_section(global_test_result ": " $$0); \
279       while ((rc = (getline line < ($$0 ".log"))) != 0) \
280       { \
281         if (rc < 0) \
282           fatal("failed to read from " $$0 ".log"); \
283         print line; \
284       }; \
285       printf "\n"; \
286     }; \
287   close ($$0 ".trs"); \
288   close ($$0 ".log"); \
289 }'
290 # Restructured Text title.
291 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
292 # Solaris 10 'make', and several other traditional 'make' implementations,
293 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
294 # by disabling -e (using the XSI extension "set +e") if it's set.
295 am__sh_e_setup = case $$- in *e*) set +e;; esac
296 # Default flags passed to test drivers.
297 am__common_driver_flags = \
298   --color-tests "$$am__color_tests" \
299   --enable-hard-errors "$$am__enable_hard_errors" \
300   --expect-failure "$$am__expect_failure"
301 # To be inserted before the command running the test.  Creates the
302 # directory for the log if needed.  Stores in $dir the directory
303 # containing $f, in $tst the test, in $log the log.  Executes the
304 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
305 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
306 # will run the test scripts (or their associated LOG_COMPILER, if
307 # thy have one).
308 am__check_pre = \
309 $(am__sh_e_setup);                                      \
310 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
311 $(am__tty_colors);                                      \
312 srcdir=$(srcdir); export srcdir;                        \
313 case "$@" in                                            \
314   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
315     *) am__odir=.;;                                     \
316 esac;                                                   \
317 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
318   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
319 if test -f "./$$f"; then dir=./;                        \
320 elif test -f "$$f"; then dir=;                          \
321 else dir="$(srcdir)/"; fi;                              \
322 tst=$$dir$$f; log='$@';                                 \
323 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
324   am__enable_hard_errors=no;                            \
325 else                                                    \
326   am__enable_hard_errors=yes;                           \
327 fi;                                                     \
328 case " $(XFAIL_TESTS) " in                              \
329   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
330     am__expect_failure=yes;;                            \
331   *)                                                    \
332     am__expect_failure=no;;                             \
333 esac;                                                   \
334 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
335 # A shell command to get the names of the tests scripts with any registered
336 # extension removed (i.e., equivalently, the names of the test logs, with
337 # the '.log' extension removed).  The result is saved in the shell variable
338 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
339 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
340 # since that might cause problem with VPATH rewrites for suffix-less tests.
341 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
342 am__set_TESTS_bases = \
343   bases='$(TEST_LOGS)'; \
344   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
345   bases=`echo $$bases`
346 RECHECK_LOGS = $(TEST_LOGS)
347 am__EXEEXT_1 =
348 TEST_SUITE_LOG = test-suite.log
349 am__test_logs1 = $(TESTS:=.log)
350 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
351 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
352 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
353 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
354         $(TESTS_LOG_FLAGS)
355 am__set_b = \
356   case '$@' in \
357     */*) \
358       case '$*' in \
359         */*) b='$*';; \
360           *) b=`echo '$@' | sed 's/\.log$$//'`; \
361        esac;; \
362     *) \
363       b='$*';; \
364   esac
365 DIST_SUBDIRS = $(SUBDIRS)
366 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
367         $(top_srcdir)/test-driver
368 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
369 am__relativize = \
370   dir0=`pwd`; \
371   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
372   sed_rest='s,^[^/]*/*,,'; \
373   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
374   sed_butlast='s,/*[^/]*$$,,'; \
375   while test -n "$$dir1"; do \
376     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
377     if test "$$first" != "."; then \
378       if test "$$first" = ".."; then \
379         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
380         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
381       else \
382         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
383         if test "$$first2" = "$$first"; then \
384           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
385         else \
386           dir2="../$$dir2"; \
387         fi; \
388         dir0="$$dir0"/"$$first"; \
389       fi; \
390     fi; \
391     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
392   done; \
393   reldir="$$dir2"
394 ACLOCAL = @ACLOCAL@
395 AMTAR = @AMTAR@
396 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
397 AR = @AR@
398 AUTOCONF = @AUTOCONF@
399 AUTOHEADER = @AUTOHEADER@
400 AUTOMAKE = @AUTOMAKE@
401 AWK = @AWK@
402 CAIRO_CFLAGS = @CAIRO_CFLAGS@
403 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
404 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
405 CAIRO_LIBS = @CAIRO_LIBS@
406 CC = @CC@
407 CCDEPMODE = @CCDEPMODE@
408 CFLAGS = @CFLAGS@
409 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
410 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
411 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
412 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
413 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
414 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
415 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
416 CORETEXT_LIBS = @CORETEXT_LIBS@
417 CPP = @CPP@
418 CPPFLAGS = @CPPFLAGS@
419 CXX = @CXX@
420 CXXCPP = @CXXCPP@
421 CXXDEPMODE = @CXXDEPMODE@
422 CXXFLAGS = @CXXFLAGS@
423 CYGPATH_W = @CYGPATH_W@
424 DEFS = @DEFS@
425 DEPDIR = @DEPDIR@
426 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
427 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
428 DLLTOOL = @DLLTOOL@
429 DSYMUTIL = @DSYMUTIL@
430 DUMPBIN = @DUMPBIN@
431 ECHO_C = @ECHO_C@
432 ECHO_N = @ECHO_N@
433 ECHO_T = @ECHO_T@
434 EGREP = @EGREP@
435 EXEEXT = @EXEEXT@
436 FGREP = @FGREP@
437 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
438 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
439 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
440 FREETYPE_DEPS = @FREETYPE_DEPS@
441 FREETYPE_LIBS = @FREETYPE_LIBS@
442 GCOV = @GCOV@
443 GENHTML = @GENHTML@
444 GIT = @GIT@
445 GLIB_CFLAGS = @GLIB_CFLAGS@
446 GLIB_DEPS = @GLIB_DEPS@
447 GLIB_LIBS = @GLIB_LIBS@
448 GLIB_MKENUMS = @GLIB_MKENUMS@
449 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
450 GOBJECT_LIBS = @GOBJECT_LIBS@
451 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
452 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
453 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
454 GREP = @GREP@
455 GTKDOC_CHECK = @GTKDOC_CHECK@
456 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
457 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
458 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
459 GTKDOC_MKPDF = @GTKDOC_MKPDF@
460 GTKDOC_REBASE = @GTKDOC_REBASE@
461 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
462 HB_VERSION = @HB_VERSION@
463 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
464 HB_VERSION_MICRO = @HB_VERSION_MICRO@
465 HB_VERSION_MINOR = @HB_VERSION_MINOR@
466 HTML_DIR = @HTML_DIR@
467 ICU_CFLAGS = @ICU_CFLAGS@
468 ICU_CONFIG = @ICU_CONFIG@
469 ICU_LIBS = @ICU_LIBS@
470 INSTALL = @INSTALL@
471 INSTALL_DATA = @INSTALL_DATA@
472 INSTALL_PROGRAM = @INSTALL_PROGRAM@
473 INSTALL_SCRIPT = @INSTALL_SCRIPT@
474 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
475 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
476 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
477 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
478 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
479 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
480 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
481 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
482 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
483 LCOV = @LCOV@
484 LD = @LD@
485 LDFLAGS = @LDFLAGS@
486 LIBOBJS = @LIBOBJS@
487 LIBS = @LIBS@
488 LIBTOOL = @LIBTOOL@
489 LIPO = @LIPO@
490 LN_S = @LN_S@
491 LTLIBOBJS = @LTLIBOBJS@
492 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
493 MAKEINFO = @MAKEINFO@
494 MANIFEST_TOOL = @MANIFEST_TOOL@
495 MKDIR_P = @MKDIR_P@
496 NM = @NM@
497 NMEDIT = @NMEDIT@
498 OBJDUMP = @OBJDUMP@
499 OBJEXT = @OBJEXT@
500 OTOOL = @OTOOL@
501 OTOOL64 = @OTOOL64@
502 PACKAGE = @PACKAGE@
503 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
504 PACKAGE_NAME = @PACKAGE_NAME@
505 PACKAGE_STRING = @PACKAGE_STRING@
506 PACKAGE_TARNAME = @PACKAGE_TARNAME@
507 PACKAGE_URL = @PACKAGE_URL@
508 PACKAGE_VERSION = @PACKAGE_VERSION@
509 PATH_SEPARATOR = @PATH_SEPARATOR@
510 PKG_CONFIG = @PKG_CONFIG@
511 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
512 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
513 PTHREAD_CC = @PTHREAD_CC@
514 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
515 PTHREAD_LIBS = @PTHREAD_LIBS@
516 RAGEL = @RAGEL@
517 RANLIB = @RANLIB@
518 SED = @SED@
519 SET_MAKE = @SET_MAKE@
520 SHELL = @SHELL@
521 STRIP = @STRIP@
522 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
523 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
524 VERSION = @VERSION@
525 abs_builddir = @abs_builddir@
526 abs_srcdir = @abs_srcdir@
527 abs_top_builddir = @abs_top_builddir@
528 abs_top_srcdir = @abs_top_srcdir@
529 ac_ct_AR = @ac_ct_AR@
530 ac_ct_CC = @ac_ct_CC@
531 ac_ct_CXX = @ac_ct_CXX@
532 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
533 am__include = @am__include@
534 am__leading_dot = @am__leading_dot@
535 am__quote = @am__quote@
536 am__tar = @am__tar@
537 am__untar = @am__untar@
538 ax_pthread_config = @ax_pthread_config@
539 bindir = @bindir@
540 build = @build@
541 build_alias = @build_alias@
542 build_cpu = @build_cpu@
543 build_os = @build_os@
544 build_vendor = @build_vendor@
545 builddir = @builddir@
546 datadir = @datadir@
547 datarootdir = @datarootdir@
548 docdir = @docdir@
549 dvidir = @dvidir@
550 exec_prefix = @exec_prefix@
551 have_gobject = @have_gobject@
552 host = @host@
553 host_alias = @host_alias@
554 host_cpu = @host_cpu@
555 host_os = @host_os@
556 host_vendor = @host_vendor@
557 htmldir = @htmldir@
558 includedir = @includedir@
559 infodir = @infodir@
560 install_sh = @install_sh@
561 libdir = @libdir@
562 libexecdir = @libexecdir@
563 localedir = @localedir@
564 localstatedir = @localstatedir@
565 mandir = @mandir@
566 mkdir_p = @mkdir_p@
567 oldincludedir = @oldincludedir@
568 pdfdir = @pdfdir@
569 prefix = @prefix@
570 program_transform_name = @program_transform_name@
571 psdir = @psdir@
572 runstatedir = @runstatedir@
573 sbindir = @sbindir@
574 sharedstatedir = @sharedstatedir@
575 srcdir = @srcdir@
576 sysconfdir = @sysconfdir@
577 target_alias = @target_alias@
578 top_build_prefix = @top_build_prefix@
579 top_builddir = @top_builddir@
580 top_srcdir = @top_srcdir@
581 NULL = 
582 EXTRA_DIST = $(TESTS) expected/basics expected/full-font \
583         expected/japanese fonts profiles $(NULL)
584 CLEANFILES = 
585 SUBDIRS = 
586 TEST_EXTENSIONS = .tests
587 TESTS_LOG_COMPILER = $(srcdir)/../run-tests.py $(top_builddir)/util/hb-subset$(EXEEXT)
588 DISABLED_TESTS = \
589         $(NULL)
590
591 all: all-recursive
592
593 .SUFFIXES:
594 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
595 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
596         @for dep in $?; do \
597           case '$(am__configure_deps)' in \
598             *$$dep*) \
599               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
600                 && { if test -f $@; then exit 0; else break; fi; }; \
601               exit 1;; \
602           esac; \
603         done; \
604         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/subset/data/Makefile'; \
605         $(am__cd) $(top_srcdir) && \
606           $(AUTOMAKE) --gnits test/subset/data/Makefile
607 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
608         @case '$?' in \
609           *config.status*) \
610             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
611           *) \
612             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
613             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
614         esac;
615 $(srcdir)/Makefile.sources $(am__empty):
616
617 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
618         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
619
620 $(top_srcdir)/configure:  $(am__configure_deps)
621         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
622 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
623         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
624 $(am__aclocal_m4_deps):
625
626 mostlyclean-libtool:
627         -rm -f *.lo
628
629 clean-libtool:
630         -rm -rf .libs _libs
631
632 # This directory's subdirectories are mostly independent; you can cd
633 # into them and run 'make' without going through this Makefile.
634 # To change the values of 'make' variables: instead of editing Makefiles,
635 # (1) if the variable is set in 'config.status', edit 'config.status'
636 #     (which will cause the Makefiles to be regenerated when you run 'make');
637 # (2) otherwise, pass the desired values on the 'make' command line.
638 $(am__recursive_targets):
639         @fail=; \
640         if $(am__make_keepgoing); then \
641           failcom='fail=yes'; \
642         else \
643           failcom='exit 1'; \
644         fi; \
645         dot_seen=no; \
646         target=`echo $@ | sed s/-recursive//`; \
647         case "$@" in \
648           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
649           *) list='$(SUBDIRS)' ;; \
650         esac; \
651         for subdir in $$list; do \
652           echo "Making $$target in $$subdir"; \
653           if test "$$subdir" = "."; then \
654             dot_seen=yes; \
655             local_target="$$target-am"; \
656           else \
657             local_target="$$target"; \
658           fi; \
659           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
660           || eval $$failcom; \
661         done; \
662         if test "$$dot_seen" = "no"; then \
663           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
664         fi; test -z "$$fail"
665
666 ID: $(am__tagged_files)
667         $(am__define_uniq_tagged_files); mkid -fID $$unique
668 tags: tags-recursive
669 TAGS: tags
670
671 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
672         set x; \
673         here=`pwd`; \
674         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
675           include_option=--etags-include; \
676           empty_fix=.; \
677         else \
678           include_option=--include; \
679           empty_fix=; \
680         fi; \
681         list='$(SUBDIRS)'; for subdir in $$list; do \
682           if test "$$subdir" = .; then :; else \
683             test ! -f $$subdir/TAGS || \
684               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
685           fi; \
686         done; \
687         $(am__define_uniq_tagged_files); \
688         shift; \
689         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
690           test -n "$$unique" || unique=$$empty_fix; \
691           if test $$# -gt 0; then \
692             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
693               "$$@" $$unique; \
694           else \
695             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
696               $$unique; \
697           fi; \
698         fi
699 ctags: ctags-recursive
700
701 CTAGS: ctags
702 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
703         $(am__define_uniq_tagged_files); \
704         test -z "$(CTAGS_ARGS)$$unique" \
705           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
706              $$unique
707
708 GTAGS:
709         here=`$(am__cd) $(top_builddir) && pwd` \
710           && $(am__cd) $(top_srcdir) \
711           && gtags -i $(GTAGS_ARGS) "$$here"
712 cscopelist: cscopelist-recursive
713
714 cscopelist-am: $(am__tagged_files)
715         list='$(am__tagged_files)'; \
716         case "$(srcdir)" in \
717           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
718           *) sdir=$(subdir)/$(srcdir) ;; \
719         esac; \
720         for i in $$list; do \
721           if test -f "$$i"; then \
722             echo "$(subdir)/$$i"; \
723           else \
724             echo "$$sdir/$$i"; \
725           fi; \
726         done >> $(top_builddir)/cscope.files
727
728 distclean-tags:
729         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
730
731 # Recover from deleted '.trs' file; this should ensure that
732 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
733 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
734 # to avoid problems with "make -n".
735 .log.trs:
736         rm -f $< $@
737         $(MAKE) $(AM_MAKEFLAGS) $<
738
739 # Leading 'am--fnord' is there to ensure the list of targets does not
740 # expand to empty, as could happen e.g. with make check TESTS=''.
741 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
742 am--force-recheck:
743         @:
744
745 $(TEST_SUITE_LOG): $(TEST_LOGS)
746         @$(am__set_TESTS_bases); \
747         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
748         redo_bases=`for i in $$bases; do \
749                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
750                     done`; \
751         if test -n "$$redo_bases"; then \
752           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
753           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
754           if $(am__make_dryrun); then :; else \
755             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
756           fi; \
757         fi; \
758         if test -n "$$am__remaking_logs"; then \
759           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
760                "recursion detected" >&2; \
761         elif test -n "$$redo_logs"; then \
762           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
763         fi; \
764         if $(am__make_dryrun); then :; else \
765           st=0;  \
766           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
767           for i in $$redo_bases; do \
768             test -f $$i.trs && test -r $$i.trs \
769               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
770             test -f $$i.log && test -r $$i.log \
771               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
772           done; \
773           test $$st -eq 0 || exit 1; \
774         fi
775         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
776         ws='[   ]'; \
777         results=`for b in $$bases; do echo $$b.trs; done`; \
778         test -n "$$results" || results=/dev/null; \
779         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
780         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
781         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
782         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
783         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
784         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
785         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
786         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
787           success=true; \
788         else \
789           success=false; \
790         fi; \
791         br='==================='; br=$$br$$br$$br$$br; \
792         result_count () \
793         { \
794             if test x"$$1" = x"--maybe-color"; then \
795               maybe_colorize=yes; \
796             elif test x"$$1" = x"--no-color"; then \
797               maybe_colorize=no; \
798             else \
799               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
800             fi; \
801             shift; \
802             desc=$$1 count=$$2; \
803             if test $$maybe_colorize = yes && test $$count -gt 0; then \
804               color_start=$$3 color_end=$$std; \
805             else \
806               color_start= color_end=; \
807             fi; \
808             echo "$${color_start}# $$desc $$count$${color_end}"; \
809         }; \
810         create_testsuite_report () \
811         { \
812           result_count $$1 "TOTAL:" $$all   "$$brg"; \
813           result_count $$1 "PASS: " $$pass  "$$grn"; \
814           result_count $$1 "SKIP: " $$skip  "$$blu"; \
815           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
816           result_count $$1 "FAIL: " $$fail  "$$red"; \
817           result_count $$1 "XPASS:" $$xpass "$$red"; \
818           result_count $$1 "ERROR:" $$error "$$mgn"; \
819         }; \
820         {                                                               \
821           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
822             $(am__rst_title);                                           \
823           create_testsuite_report --no-color;                           \
824           echo;                                                         \
825           echo ".. contents:: :depth: 2";                               \
826           echo;                                                         \
827           for b in $$bases; do echo $$b; done                           \
828             | $(am__create_global_log);                                 \
829         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
830         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
831         if $$success; then                                              \
832           col="$$grn";                                                  \
833          else                                                           \
834           col="$$red";                                                  \
835           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
836         fi;                                                             \
837         echo "$${col}$$br$${std}";                                      \
838         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
839         echo "$${col}$$br$${std}";                                      \
840         create_testsuite_report --maybe-color;                          \
841         echo "$$col$$br$$std";                                          \
842         if $$success; then :; else                                      \
843           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
844           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
845             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
846           fi;                                                           \
847           echo "$$col$$br$$std";                                        \
848         fi;                                                             \
849         $$success || exit 1
850
851 check-TESTS:
852         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
853         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
854         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
855         @set +e; $(am__set_TESTS_bases); \
856         log_list=`for i in $$bases; do echo $$i.log; done`; \
857         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
858         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
859         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
860         exit $$?;
861 recheck: all 
862         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
863         @set +e; $(am__set_TESTS_bases); \
864         bases=`for i in $$bases; do echo $$i; done \
865                  | $(am__list_recheck_tests)` || exit 1; \
866         log_list=`for i in $$bases; do echo $$i.log; done`; \
867         log_list=`echo $$log_list`; \
868         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
869                 am__force_recheck=am--force-recheck \
870                 TEST_LOGS="$$log_list"; \
871         exit $$?
872 .tests.log:
873         @p='$<'; \
874         $(am__set_b); \
875         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
876         --log-file $$b.log --trs-file $$b.trs \
877         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
878         "$$tst" $(AM_TESTS_FD_REDIRECT)
879 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
880 @am__EXEEXT_TRUE@       @p='$<'; \
881 @am__EXEEXT_TRUE@       $(am__set_b); \
882 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
883 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
884 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
885 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
886
887 distdir: $(DISTFILES)
888         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
889         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
890         list='$(DISTFILES)'; \
891           dist_files=`for file in $$list; do echo $$file; done | \
892           sed -e "s|^$$srcdirstrip/||;t" \
893               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
894         case $$dist_files in \
895           */*) $(MKDIR_P) `echo "$$dist_files" | \
896                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
897                            sort -u` ;; \
898         esac; \
899         for file in $$dist_files; do \
900           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
901           if test -d $$d/$$file; then \
902             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
903             if test -d "$(distdir)/$$file"; then \
904               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
905             fi; \
906             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
907               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
908               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
909             fi; \
910             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
911           else \
912             test -f "$(distdir)/$$file" \
913             || cp -p $$d/$$file "$(distdir)/$$file" \
914             || exit 1; \
915           fi; \
916         done
917         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
918           if test "$$subdir" = .; then :; else \
919             $(am__make_dryrun) \
920               || test -d "$(distdir)/$$subdir" \
921               || $(MKDIR_P) "$(distdir)/$$subdir" \
922               || exit 1; \
923             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
924             $(am__relativize); \
925             new_distdir=$$reldir; \
926             dir1=$$subdir; dir2="$(top_distdir)"; \
927             $(am__relativize); \
928             new_top_distdir=$$reldir; \
929             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
930             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
931             ($(am__cd) $$subdir && \
932               $(MAKE) $(AM_MAKEFLAGS) \
933                 top_distdir="$$new_top_distdir" \
934                 distdir="$$new_distdir" \
935                 am__remove_distdir=: \
936                 am__skip_length_check=: \
937                 am__skip_mode_fix=: \
938                 distdir) \
939               || exit 1; \
940           fi; \
941         done
942 check-am: all-am
943         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
944 check: check-recursive
945 all-am: Makefile
946 installdirs: installdirs-recursive
947 installdirs-am:
948 install: install-recursive
949 install-exec: install-exec-recursive
950 install-data: install-data-recursive
951 uninstall: uninstall-recursive
952
953 install-am: all-am
954         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
955
956 installcheck: installcheck-recursive
957 install-strip:
958         if test -z '$(STRIP)'; then \
959           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
960             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
961               install; \
962         else \
963           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
964             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
965             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
966         fi
967 mostlyclean-generic:
968         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
969         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
970         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
971
972 clean-generic:
973         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
974
975 distclean-generic:
976         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
977         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
978
979 maintainer-clean-generic:
980         @echo "This command is intended for maintainers to use"
981         @echo "it deletes files that may require special tools to rebuild."
982 clean: clean-recursive
983
984 clean-am: clean-generic clean-libtool mostlyclean-am
985
986 distclean: distclean-recursive
987         -rm -f Makefile
988 distclean-am: clean-am distclean-generic distclean-tags
989
990 dvi: dvi-recursive
991
992 dvi-am:
993
994 html: html-recursive
995
996 html-am:
997
998 info: info-recursive
999
1000 info-am:
1001
1002 install-data-am:
1003
1004 install-dvi: install-dvi-recursive
1005
1006 install-dvi-am:
1007
1008 install-exec-am:
1009
1010 install-html: install-html-recursive
1011
1012 install-html-am:
1013
1014 install-info: install-info-recursive
1015
1016 install-info-am:
1017
1018 install-man:
1019
1020 install-pdf: install-pdf-recursive
1021
1022 install-pdf-am:
1023
1024 install-ps: install-ps-recursive
1025
1026 install-ps-am:
1027
1028 installcheck-am:
1029
1030 maintainer-clean: maintainer-clean-recursive
1031         -rm -f Makefile
1032 maintainer-clean-am: distclean-am maintainer-clean-generic
1033
1034 mostlyclean: mostlyclean-recursive
1035
1036 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1037
1038 pdf: pdf-recursive
1039
1040 pdf-am:
1041
1042 ps: ps-recursive
1043
1044 ps-am:
1045
1046 uninstall-am:
1047
1048 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1049
1050 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1051         check-TESTS check-am clean clean-generic clean-libtool \
1052         cscopelist-am ctags ctags-am distclean distclean-generic \
1053         distclean-libtool distclean-tags distdir dvi dvi-am html \
1054         html-am info info-am install install-am install-data \
1055         install-data-am install-dvi install-dvi-am install-exec \
1056         install-exec-am install-html install-html-am install-info \
1057         install-info-am install-man install-pdf install-pdf-am \
1058         install-ps install-ps-am install-strip installcheck \
1059         installcheck-am installdirs installdirs-am maintainer-clean \
1060         maintainer-clean-generic mostlyclean mostlyclean-generic \
1061         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1062         uninstall uninstall-am
1063
1064 .PRECIOUS: Makefile
1065
1066
1067 # Convenience targets:
1068 lib:
1069         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
1070
1071 -include $(top_srcdir)/git.mk
1072
1073 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1074 # Otherwise a system limit (for SysV at least) may be exceeded.
1075 .NOEXPORT: